## Tcl8.6.2/Tk8.6.2 Documentation > Tk C API, version 8.6.2 > StrictMotif

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Tk_StrictMotif — Return value of tk_strictMotif variable

### SYNOPSIS

#include <tk.h>
int
Tk_StrictMotif(tkwin)

### ARGUMENTS

Tk_Window tkwin (in)
  Token for window.

### DESCRIPTION

This procedure returns the current value of the tk_strictMotif variable in the interpreter associated with tkwin's application. The value is returned as an integer that is either 0 or 1. 1 means that strict Motif compliance has been requested, so anything that is not part of the Motif specification should be avoided. 0 means that “Motif-like” is good enough, and extra features are welcome.

This procedure uses a link to the Tcl variable to provide much faster access to the variable's value than could be had by calling Tcl_GetVar.

### KEYWORDS

Motif compliance, tk_strictMotif variable
Copyright © 1995-1996 Sun Microsystems, Inc.